LSProgressEvent (XML Standard API)
Date: 2016-02-19

org.w3c.dom.ls

## Interface LSProgressEvent

- All Superinterfaces:
    Event

      public interface LSProgressEvent
      extends Event

  This interface represents a progress event object that notifies the application about progress as a document is parsed. It extends the `Event` interface defined in [DOM Level 3 Events] .

  The units used for the attributes `position` and `totalSize` are not specified and can be implementation and input dependent.

  See also the Document Object Model (DOM) Level 3 Load and Save Specification.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.events.Event

      `AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LSInput` | `getInput()` The input source that is being parsed.
    `int` | `getPosition()` The current position in the input source, including all external entities and other resources that have been read.
    `int` | `getTotalSize()` The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen.

    - ### Methods inherited from interface org.w3c.dom.events.Event

      `getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

- - ### Method Detail

    - #### getInput

          LSInput getInput()

      The input source that is being parsed.

    - #### getPosition

          int getPosition()

      The current position in the input source, including all external entities and other resources that have been read.

    - #### getTotalSize

          int getTotalSize()

      The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen. A value of `0` is returned if the total size cannot be determined or estimated.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.